# Uses of Interface
org.eclipse.team.core.mapping.IResourceDiffTree

Packages that use IResourceDiffTree
Package
Description
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.mapping.provider
Application programming interfaces for working with resource mappings.

## Uses of IResourceDiffTree in org.eclipse.team.core.mapping

Methods in org.eclipse.team.core.mapping that return IResourceDiffTree
Modifier and Type
Method
Description
`IResourceDiffTree`
ISynchronizationContext.`getDiffTree()`
Return a tree that contains `IDiff` entries for resources that are out-of-sync.

## Uses of IResourceDiffTree in org.eclipse.team.core.mapping.provider

Classes in org.eclipse.team.core.mapping.provider that implement IResourceDiffTree
Modifier and Type
Class
Description
`class`
`ResourceDiffTree`
Implementation of `IResourceDiffTree`.
Methods in org.eclipse.team.core.mapping.provider that return IResourceDiffTree
Modifier and Type
Method
Description
`IResourceDiffTree`
SynchronizationContext.`getDiffTree()`
Constructors in org.eclipse.team.core.mapping.provider with parameters of type IResourceDiffTree
Modifier
Constructor
Description
`protected`
`MergeContext(ISynchronizationScopeManager manager, int type, IResourceDiffTree deltaTree)`
Create a merge context.
`protected`
`SynchronizationContext(ISynchronizationScopeManager manager, int type, IResourceDiffTree diffTree)`
Create a synchronization context.